Bug 54466 - Last security patch (Aug 28 2001, vetargs) doesn't work
Summary: Last security patch (Aug 28 2001, vetargs) doesn't work
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: uucp   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-09 12:47 UTC by Michael Tokarev
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 21:07:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Tokarev 2001-10-09 12:47:15 UTC
As in uucp-1.06.1-vetargs.patch:

  /* The -I, -u and -x options are not permitted.  */
  if (!strncmp(zopts, "config", 6)) ...
  if (!strncmp(zopts, "user", 4)) ...

was added to handle *long* options.  But note that
this still not cures the situation: one can give
not the complete option names but only part of them:
 uucp --confi /some/where
 uucp --co /some/where
 uucp --config=/some/where
and so on.  The only real solution I see here is to
modify *both* uuxqt and uucp, first one to pass some
additional (aka "--restricted") option to uucp, or
some environment variable, and second one is to check
it's args more strictly in case --restricted was given,
and refuse to execute if it finds an alarm.

For now, as it is, vetargs patch is useless, it "cures"
only minor "part" of the problem.  Oh, that long options! ;)

Comment 1 Michael Tokarev 2001-10-09 13:52:59 UTC
BTW, it may be simpler to just disallow long options here at all and
handle `-' in *short* options case just like -I etc.

Comment 2 Jeff Johnson 2002-02-01 21:52:59 UTC
FIxed in pendning uccp errata re-release.


Note You need to log in before you can comment on or make changes to this bug.